Bug 1918395 - [ovirt] increase livenessProbe period
Summary: [ovirt] increase livenessProbe period
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Gal Zaidman
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks: 1924626
TreeView+ depends on / blocked
 
Reported: 2021-01-20 16:01 UTC by Gal Zaidman
Modified: 2021-02-24 15:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovirt-csi-driver-operator pull 43 0 None closed Bug 1918395: increase livenessProbe period 2021-02-08 17:35:22 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:55:35 UTC

Description Gal Zaidman 2021-01-20 16:01:54 UTC
Description of problem:

As benny stated on [1] the csi-driver livenessProbe periodSeconds field was intended to be once each 30s[2], it was lost in the migration to a second level operator(storage).
We should increase that field

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1918287#c1
[2] https://github.com/oVirt/csi-driver/commit/efb64526378d20fca0039b61aa421b29321e380e#diff-4b761eacd68a8a2fb6f81f7c9f0e4c22b0c707238a37d7325f0bf84d211586adR103

This is causing the logs to fill up and increase there size.

How reproducible:
Install a cluster and watch /var/log/httpd/ovirt-requests-log

Actual results:
auth requests are sent each 10s by a node

Expected results:
auth requests are sent each 30s by a node

Comment 2 Michael Burman 2021-01-26 13:48:33 UTC
Verified on - 4.7.0-0.nightly-2021-01-26-044139 and RHV 4.4.4.7-0.1.el8ev

Examples:
[26/Jan/2021:15:12:07 +0200] z.z.z.z "Correlation-Id: f3021e75-3d4a-4b8d-ada2-992933c1b577" "Duration: 61519us" "GET /ovirt-engine/api HTTP/1.1" 5171

[26/Jan/2021:15:12:37 +0200] z.z.z.z "Correlation-Id: 8e510a18-bf10-40ae-926b-124875a4eecb" "Duration: 59253us" "GET /ovirt-engine/api HTTP/1.1" 5171

30 seconds for GET

[26/Jan/2021:15:38:09 +0200] x.x.x.x "Correlation-Id: -" "Duration: 39814us" "POST /ovirt-engine/sso/oauth/token-info HTTP/1.1" 894

[26/Jan/2021:15:39:09 +0200] x.x.x.x "Correlation-Id: -" "Duration: 33079us" "POST /ovirt-engine/sso/oauth/token-info HTTP/1.1" 894
1 minute for POST

[26/Jan/2021:15:43:26 +0200] y.y.y.y "Correlation-Id: 26d3cff2-df17-409e-838d-1b0dbee014cc" "Duration: 61327us" "GET /ovirt-engine/api HTTP/1.1" 5171

[26/Jan/2021:15:43:56 +0200] y.y.y.y "Correlation-Id: dc0de981-5b26-4e17-be87-954b95704fd5" "Duration: 66089us" "GET /ovirt-engine/api HTTP/1.1" 5171
30 seconds for GET

Comment 5 errata-xmlrpc 2021-02-24 15:55:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.